Unresolved dependencies (io.dropwizard.metrics) while building Solr

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Unresolved dependencies (io.dropwizard.metrics) while building Solr

Erlend Garåsen

I'm trying to build the latest Solr release from Git, but I'm stuck at
this stage:

ivy:retrieve] ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:retrieve] ::          UNRESOLVED DEPENDENCIES         ::
[ivy:retrieve] ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:retrieve] :: io.dropwizard.metrics#metrics-jetty9;4.0.5: several
problems occurred while resolving dependency:
io.dropwizard.metrics#metrics-jetty9;4.0.5 {metrics=[master]}:
[ivy:retrieve] several problems occurred while resolving dependency:
io.dropwizard.metrics#metrics-bom;4.0.5 {}:
[ivy:retrieve] io.dropwizard.metrics#metrics-parent;4.0.5

I have tried to clean the Ivy cache several times, but with no luck.

Is this a known problem? I need to test a patch a Solr developer has
made, and it seems that the patch is only compatible with the latest
version from Git.

Erlend
Reply | Threaded
Open this post in threaded view
|

Re: Unresolved dependencies (io.dropwizard.metrics) while building Solr

Erick Erickson
Sometimes this is leftover files in the checkout tree, occasionally it has to do with checksum files, sometimes it’s gremlins. I have never had a problem if I try some combination of:

1> clone the repo into a new directory
2> clean the ivy cache
3> ant clean-jars jar-checksums

But usually I just do 1 and 2 as that combo is much faster than trying to figure it out…..

Best,
Erick

Or as Randall Monroe (XKCD) so accurately reveals when it comes to how to deal with Git issues: https://xkcd.com/1597/

> On May 3, 2019, at 8:59 AM, Erlend Garåsen <[hidden email]> wrote:
>
>
> I'm trying to build the latest Solr release from Git, but I'm stuck at
> this stage:
>
> ivy:retrieve] ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:retrieve] ::          UNRESOLVED DEPENDENCIES         ::
> [ivy:retrieve] ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:retrieve] :: io.dropwizard.metrics#metrics-jetty9;4.0.5: several
> problems occurred while resolving dependency:
> io.dropwizard.metrics#metrics-jetty9;4.0.5 {metrics=[master]}:
> [ivy:retrieve] several problems occurred while resolving dependency:
> io.dropwizard.metrics#metrics-bom;4.0.5 {}:
> [ivy:retrieve] io.dropwizard.metrics#metrics-parent;4.0.5
>
> I have tried to clean the Ivy cache several times, but with no luck.
>
> Is this a known problem? I need to test a patch a Solr developer has
> made, and it seems that the patch is only compatible with the latest
> version from Git.
>
> Erlend

Reply | Threaded
Open this post in threaded view
|

Re: Unresolved dependencies (io.dropwizard.metrics) while building Solr

Erlend Garåsen

Thanks for your help, Erick. :)

BUILD SUCCESSFUL

Erlend

On 03/05/2019 17:56, Erick Erickson wrote:

> Sometimes this is leftover files in the checkout tree, occasionally it has to do with checksum files, sometimes it’s gremlins. I have never had a problem if I try some combination of:
>
> 1> clone the repo into a new directory
> 2> clean the ivy cache
> 3> ant clean-jars jar-checksums
>
> But usually I just do 1 and 2 as that combo is much faster than trying to figure it out…..
>
> Best,
> Erick
>
> Or as Randall Monroe (XKCD) so accurately reveals when it comes to how to deal with Git issues: https://xkcd.com/1597/
>
>> On May 3, 2019, at 8:59 AM, Erlend Garåsen <[hidden email]> wrote:
>>
>>
>> I'm trying to build the latest Solr release from Git, but I'm stuck at
>> this stage:
>>
>> ivy:retrieve] ::::::::::::::::::::::::::::::::::::::::::::::
>> [ivy:retrieve] ::          UNRESOLVED DEPENDENCIES         ::
>> [ivy:retrieve] ::::::::::::::::::::::::::::::::::::::::::::::
>> [ivy:retrieve] :: io.dropwizard.metrics#metrics-jetty9;4.0.5: several
>> problems occurred while resolving dependency:
>> io.dropwizard.metrics#metrics-jetty9;4.0.5 {metrics=[master]}:
>> [ivy:retrieve] several problems occurred while resolving dependency:
>> io.dropwizard.metrics#metrics-bom;4.0.5 {}:
>> [ivy:retrieve] io.dropwizard.metrics#metrics-parent;4.0.5
>>
>> I have tried to clean the Ivy cache several times, but with no luck.
>>
>> Is this a known problem? I need to test a patch a Solr developer has
>> made, and it seems that the patch is only compatible with the latest
>> version from Git.
>>
>> Erlend
>